//**********************
// ADC sample
//
// (C)Copyright 2010-2015 All rights reserved by Y.Onodera
// http://einstlab.web.fc2.com
//**********************
#include <xc.h>
#include <stdio.h>
#include "Config.h"
#include "WAIT.h"
#include "OSC.h"
#include "LCD.h"
#include "ADC.h"

int main(void)
{

	unsigned int v;
	char msg[10];

	initOSC();	// 32MHz
	initLCD();
	initADC();

	while(1){

		v=getADC()*4;
		sprintf(msg,"%4dmV",v);
		locateLCD(0,0);
		printLCD(msg);
		waitNms(1000);	// 1 sec
	}

}

